﻿
.form-modal {
    height: fit-content !important;
    margin: 0 !important;
    border-radius: 0 !important;
}

.small-form-modal {
    width: 95vw !important;
}

.medium-form-modal {
    width: 65vw !important;
}

.standard-form-modal {
    width: 100vw !important;
}

.large-form-modal {
    width: 100vw !important;
    max-width: 100vw !important;
}

/* Tablets pequeñas (481px - 768px) */
@media (min-width: 481px) and (max-width: 768px) {
    .small-form-modal {
        width: 70vw !important;
    }
}

/* Tablets grandes y laptops pequeños (769px - 1024px) */
@media (min-width: 769px) and (max-width: 1024px) {
    .small-form-modal {
        width: 50vw !important;
    }
}

/* Pantallas medianas (1025px - 1440px) */
@media (min-width: 1025px) and (max-width: 1440px) {
    .small-form-modal {
        width: 25vw !important;
    }

    .large-form-modal {
        width: 95vw !important;
    }
}

/* Pantallas grandes (mayor a 1441px) */
@media (min-width: 1441px) {
    .small-form-modal {
        width: 25vw !important;
    }

    .standard-form-modal {
        width: 65vw !important;
    }

    .large-form-modal {
        width: 75vw !important;
    }
}
